import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  static const StandardMessageCodec _decoder = StandardMessageCodec();

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    Map map = Map();
    map["text"] = "Smiley COOL 😎👍";
    map["fontSize"] = 40;

    return MaterialApp(
      home: SizedBox(
        width: 350,
        height: 250,
        child: UiKitView(
            viewType: "EmojiTextField",
            creationParams: map,
            creationParamsCodec: _decoder),
      ),
    );
  }
}
