//
//  FluffViewFactory.swift
//  Runner
//
//  Created by Grigori on 7/14/20.
//

import Foundation
import Flutter

public class FluffViewFactory : NSObject, FlutterPlatformViewFactory {
    public func create(withFrame frame: CGRect,
                       viewIdentifier viewId: Int64,
                       arguments args: Any?) -> FlutterPlatformView{
        return EmojiView(frame, viewId: viewId, args: args)
    }
    
    public func createArgsCodec() -> FlutterMessageCodec & NSObjectProtocol {
      return FlutterStandardMessageCodec.sharedInstance()
    }
}
