import Flutter
import UIKit

public class SwiftEmojiKeyboardPlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "native_emoji_keyboard", binaryMessenger: registrar.messenger())
    let instance = SwiftEmojiKeyboardPlugin()

    let viewFactory = FluffViewFactory()
    registrar.register(viewFactory, withId: "EmojiTextField")

    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    result("iOS " + UIDevice.current.systemVersion)
  }
}
