import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:native_emoji_keyboard/native_emoji_keyboard.dart';

void main() {
  const MethodChannel channel = MethodChannel('native_emoji_keyboard');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await EmojiKeyboard.platformVersion, '42');
  });
}
